opět Ati

Ahoj všem

Vím že tady je spousta návodů na instalaci Ati ovládačů pro 3d,ale čím víc jsem toho přečetl a vyskoušel tím víc jsem v pasti.
Proto prosím o radu co vlastně mám použít MESA ovládač nebo binárku z ati.amd.com?
Mám radeonku 9600.V SuSE 10.2 to byla otázka pěti minut rozběhat akceleraci,ale ve Fedora Core6 už třetí den se trápím a stále nic.
Je nějaký opravdu fungující návod na rozjetí 3D pro Ati Radeon 9600(zkl.deska VIA čipset,kernel i686).Děkuji za každou radu.
Toor.

Mám asi úplně tu stejnou kartu a akcelerace mě běhá. Sice nevím jestli to je zrovna maximum co z té karty jde vytáhnout, ale jde to.
Nainstaluj fglrx z repozitáře livna a pak pokud to samo nezačne akcelerovat tak Ti sem hodím svůj xorg.conf a to už fungovat prostě musí.

glxgears mě v původní velikosti okna ukazuje asi tuto hodnotu

4475 frames in 5.0 seconds = 894.939 FPS

Neni 900 FPS na takovou kartu trochu malo? Ja mam GeForce 5200, procesor Athlon 2000+ XP a bez zateze mi to po chvili haze neco kolem 6000 FPS (na zacatku mam tak cca 2000 FPS a po te to vyroste az na tech 6000 FPS). Prepokladam, ze Vas pocitac bude novejsiho data a proto bych ocekaval FPS o hodne vyssi…

Macky

No to nejde nainstalovat.
Nechápu to při instalaci fglrx-kmod to chce kmod-fglrx???
A při samotné instalaci fglrx z livny to píše:
Missing Dependency: fglrx-kmod >= 8.33.6 is needed by package xorg-x11-drv-fglrx
Tak nevím.

“A při samotné instalaci fglrx z livny”

Tim myslite, ze kdyz zadate prikaz

yum -y install xorg-x11-drv-fglrx

tak Vam to vypise

Missing Dependency: fglrx-kmod >= 8.33.6 is needed by package xorg-x11-drv-fglrx

Macky

Přesně tak.
Když chci nainstalovat xorg-x11-drv-fglrx tak to píše: Missing Dependency: fglrx-kmod >= 8.33.6 is needed by package xorg-x11-drv-fglrx.
A když chci instalovat fglrx-kmod tak to píše: Missing Dependency: fglrx-kmod-common>= 8.33.6 is needed by package kmod-fglrx.
To absolutně nechápu.

Já sice používám SuSE Linux 10.2, ale chci si vyzkoušet Fedoru (Gnome) vypadá to dost dobře jen ty ovladače :-(.

No uprimne receno tomu nerozumim - jestlize mate funkcni pripojeni k Internetu a funkcni yum, vsechny potrebne balicky by si to melo byt schopno stahnout samo. Vy byste se o zavislosti v idealnim pripade nemel vubec starat…

Macky

Prosim zkontrolujte si, ze nemate problem s architekturou kernelu.
http://wiki.fedora.cz/doku.php?id=navody:fc6poznamky#instalator_nainstaloval_kernel_i586_misto_i686

pripadne zkuste zadat:
yum install xorg-x11-drv-fglrx kmod-fglrx

me to normalne funguje.

PS: Uz jsem to tu psal. MESA NENI ovladac.

VESA je ovladac a jmeno ma po standardnu VESA. VESA je standard pro obecne rozhrani grafickych karet ktere by meli umet vsechny grafiky… je to jakysi nouzovy razim kdy grafika poskytkuje pouze zakladni funkce.

Dale mame pro ati karty ovladac RADEON (ktery je soucasti fedory a neni potreba ho instalovat) a FGLRX coz je ovladac ktery poskytuje primo ATI a je potreba ho doinstalovat z livny. Ovladac RADEON ma mensi vykon nez FGLRX ale je odzkouseny a funkcni a funguji na nem napr. desktopove efekty - narozdil od FGLRX.

MESA je softwarova knihovna ktera zprostredkovava akcelerovane API OpenGL a v pripade, ze akcelerace na grafice nefunguje umoznuje castecne emulovat pokrocile funkce grafickych karet pres procesor (CPU).

Kde ste prosim k tomu bludu s tim MESA “ovladacem” prislel… nejste prvni kdo to tady uvadi. Bohuzel vase konstovani ze to nefunguje je k nicemu. Musite napsat co jste zkusil a jak a jak indikujete ze to nefunguje… pro priste.

Pokus o instalaci v yum:
[root@cust-67 ~]# yum -y install kmod-fglrx
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: kmod-fglrx
Nothing to do
[root@cust-67 ~]#
Takže taky stoho nejsem moudry, pokusím se o novou instalaci FC6 ikdyž je to škoda protože jsem dělal update asi 4 hodiny.
Ale i tak díky moc za snahu pomoct.

Ne… smankote…
bude namete pridany repozitar livna, nebo uz to mate nainstalovane.

yum list kmod-fglrx

Jestli to je málo nevím, ale víc se mě prostě nepodařilo.
Mám Athlon XP 1700 a 1 GB RAM

Asi by to chtělo doladit v xorg.conf, ale rozumný info se mě sehnat nepodařilo a moc se mě to študovat nechce - extra grafickej výkon stejně nepotřebuju.

macky napsal(a):

Neni 900 FPS na takovou kartu trochu malo? Ja mam
GeForce 5200, procesor Athlon 2000+ XP a bez
zateze mi to po chvili haze neco kolem 6000 FPS
(na zacatku mam tak cca 2000 FPS a po te to
vyroste az na tech 6000 FPS). Prepokladam, ze Vas
pocitac bude novejsiho data a proto bych ocekaval
FPS o hodne vyssi…

Macky

No takze nemate repozitar livna…
http://wiki.fedora.cz/doku.php?id=navody:repozitare#kompatibilni_repozitare

Omlouvám se myslel jsem VESA ne MESA.Ale myslet znamená ho… vědět.Sorry.

A uz se vam povedlo pridat si repozitar livna a fglrx nainstalovat?

Repozitar jsem pridal neco se mi nainstalovalo, byl tam problem asi z kernel.
Jenže po restartu nenaběhl system.
Provedl jsem novou instalaci FC6 a zase se mi to nerozběhlo sice se nainstaloval kernel pro i686 jenže jenom nějaký XEN.
Takže nová instalace teď mi to beží podívám se co mám za kernel přidám livnu a uvidíme.

Je to tak dobře?:
[root@cust-67 ~]# rpm -ivh http://rpm.livna.org/livna-release-6.rpm
Retrieving http://rpm.livna.org/livna-release-6.rpm
warning: /var/tmp/rpm-xfer.vKDrVp: Header V3 DSA signature: NOKEY, key ID a109b1ec
Preparing… ########################################### [100%]
balíček livna-release-6-1 je již nainstalován
[root@cust-67 ~]# yum install xorg-x11-drv-fglrx kmod-fglrx
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
–> Populating transaction set with selected packages. Please wait.
—> Downloading header for xorg-x11-drv-fglrx to pack into transaction set.
xorg-x11-drv-fglrx-8.33.6 100% |=========================| 31 kB 00:00
—> Package xorg-x11-drv-fglrx.i386 0:8.33.6-1.lvn6 set to be updated
—> Downloading header for kmod-fglrx to pack into transaction set.
kmod-fglrx-8.33.6-1.2.6.1 100% |=========================| 13 kB 00:00
—> Package kmod-fglrx.i686 0:8.33.6-1.2.6.19_1.2911.fc6 set to be installed
–> Running transaction check
–> Processing Dependency: libstdc++.so.5(CXXABI_1.2) for package: xorg-x11-drv-fglrx
–> Processing Dependency: kernel-i686 = 2.6.19-1.2911.fc6 for package: kmod-fglrx
–> Processing Dependency: libstdc++.so.5 for package: xorg-x11-drv-fglrx
–> Processing Dependency: libstdc++.so.5(GLIBCPP_3.2) for package: xorg-x11-drv-fglrx
–> Restarting Dependency Resolution with new changes.
–> Populating transaction set with selected packages. Please wait.
—> Downloading header for kernel to pack into transaction set.
kernel-2.6.19-1.2911.fc6. 100% |=========================| 216 kB 00:01
—> Package kernel.i686 0:2.6.19-1.2911.fc6 set to be installed
—> Downloading header for compat-libstdc+±33 to pack into transaction set.
compat-libstdc+±33-3.2.3 100% |=========================| 7.4 kB 00:00
—> Package compat-libstdc+±33.i386 0:3.2.3-61 set to be updated
–> Running transaction check
–> Processing Dependency: mkinitrd >= 5.1.19.0.2-1 for package: kernel
–> Restarting Dependency Resolution with new changes.
–> Populating transaction set with selected packages. Please wait.
—> Downloading header for mkinitrd to pack into transaction set.
mkinitrd-5.1.19.0.2-1.i38 100% |=========================| 51 kB 00:00
—> Package mkinitrd.i386 0:5.1.19.0.2-1 set to be updated
–> Running transaction check
–> Processing Dependency: nash = 5.1.19.0.2-1 for package: mkinitrd
–> Restarting Dependency Resolution with new changes.
–> Populating transaction set with selected packages. Please wait.
—> Downloading header for nash to pack into transaction set.
nash-5.1.19.0.2-1.i386.rp 100% |=========================| 48 kB 00:00
—> Package nash.i386 0:5.1.19.0.2-1 set to be updated
–> Running transaction check

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size

Installing:
kmod-fglrx i686 8.33.6-1.2.6.19_1.2911.fc6 livna 242 k
xorg-x11-drv-fglrx i386 8.33.6-1.lvn6 livna 9.0 M
Installing for dependencies:
compat-libstdc+±33 i386 3.2.3-61 core 232 k
kernel i686 2.6.19-1.2911.fc6 updates 16 M
Updating for dependencies:
mkinitrd i386 5.1.19.0.2-1 updates 438 k
nash i386 5.1.19.0.2-1 updates 1.1 M

Transaction Summary

Install 4 Package(s)
Update 2 Package(s)
Remove 0 Package(s)

Total download size: 27 M
Is this ok [y/N]: y
Downloading Packages:
(1/6): mkinitrd-5.1.19.0. 100% |=========================| 438 kB 00:03
(2/6): xorg-x11-drv-fglrx 100% |=========================| 9.0 MB 01:17
(3/6): kmod-fglrx-8.33.6- 100% |=========================| 242 kB 00:02
(4/6): compat-libstdc+±3 100% |=========================| 232 kB 00:02
(5/6): nash-5.1.19.0.2-1. 100% |=========================| 1.1 MB 00:10
(6/6): kernel-2.6.19-1.29 100% |=========================| 16 MB 02:21
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Importing GPG key 0x4F2A6FD2 “Fedora Project fedora@redhat.com
Is this ok [y/N]: y
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID a109b1ec
Importing GPG key 0xA109B1EC “Livna.org rpms rpm-key@livna.org
Is this ok [y/N]: y
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : nash ######################### [1/8]
Updating : mkinitrd ######################### [2/8]
Installing: kernel ######################### [3/8]
Installing: compat-libstdc+±33 ######################### [4/8]
Installing: kmod-fglrx ######################### [5/8]
Installing: xorg-x11-drv-fglrx ######################### [6/8]
Cleanup : mkinitrd ######################### [7/8]
Cleanup : nash ######################### [8/8]

Installed: kmod-fglrx.i686 0:8.33.6-1.2.6.19_1.2911.fc6 xorg-x11-drv-fglrx.i386 0:8.33.6-1.lvn6
Dependency Installed: compat-libstdc+±33.i386 0:3.2.3-61 kernel.i686 0:2.6.19-1.2911.fc6
Dependency Updated: mkinitrd.i386 0:5.1.19.0.2-1 nash.i386 0:5.1.19.0.2-1
Complete!
[root@cust-67 ~]#

Zda se, ze jste byl uspesny :). Jak balicek xorg-x11-drv-fglrx tak balicek kmod-fglrx jste nainstaloval (ostatní jsou zavislosti, ktere tyto dva balicky vyzadovaly).

Macky

To ano, ale pro zmenu start s kernel i686 2.6.19-1.2911.fc6 nefunguje.
A v puvodnim kernel to jede jen v 800x600.

Vas aktualni kernel by mel byt 2.6.19-1.2911 - k nemu se vazí balicky xorg-x11-drv-fglrx a kmod-fglrx. Co to ve Vasem pripade konkretne znamena, ze “start s kernel i686 2.6.19-1.2911.fc6 nefunguje”?

Macky